=== debian/changelog ===
clog (1.1.0-3) unstable; urgency=medium

  * Fix wrong upstream Homepage URL. Thanks Matanya Moses (Closes: #739105).
  * Update Standards-Version field in d/control. 

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 20 Apr 2014 12:50:22 -0430

clog (1.1.0-2) unstable; urgency=low

  * d/control: Improve package description (short and long). Thanks 
    to Justin B Rye <justin.byam.rye@gmail.com> (Closes: #724846).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Mon, 30 Sep 2013 06:34:49 -0430

clog (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #722178).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Mon, 02 Sep 2013 22:42:34 +0200
