=== debian/control ===
Source: clog
Section: utils
Priority: extra
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.5
Homepage: http://tasktools.org/projects/clog.html
Vcs-Git: git://github.com/mogaal/clog.git
Vcs-Browser: https://github.com/mogaal/clog

Package: clog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: colorizing log tail utility
 Clog is useful for watching log files. It can spot patterns in an input
 stream and colorize or suppress the lines. It can also decorate the lines
 with time- or datestamps.
