=== debian/watch ===
version=3
http://tasktools.org/projects/clog http://taskwarrior.org/download/clog-(.*)\.tar\.gz
