=== debian/changelog ===
clog (1.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:32 +0100

clog (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Now maintained by the Debian Tasktools Packaging Team.
   - Uploaders set to alejandro and myself.
   - Updated Vcs-* fields for pkg-tasktools git repository.
   - Standards-Version to 3.9.8.
  * debian/rules:
   - Enable build hardening.
  * debian/patches/FixManMinusSign.diff:
   - Refreshed patch, some hyphens had moved.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 07 Jul 2016 23:14:03 +0100
