=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: clog
+Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
+Uploaders: Alejandro Garrido Mota <alejandro@debian.org>,
+           Iain R. Learmonth <irl@debian.org>
 Section: utils
 Priority: extra
-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/clog.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/clog.git
 Homepage: http://tasktools.org/projects/clog.html
-Vcs-Git: git://github.com/mogaal/clog.git
-Vcs-Browser: https://github.com/mogaal/clog
 
 Package: clog
 Architecture: any
