## clog 1.3.0+dfsg

=== debian/changelog ===
clog (1.3.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112791)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Oct 2025 20:25:58 +0300

clog (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Andreas Tille ]
  * Replace broken Homepage by Github
    Closes: #1060737
  * Point watch file to Github
  * Exclude binaries from source code via Files-Excluded
  * Remove Iain R. Learmonth from Uploades (Thank you Ian for offering
    help if needed)
    Closes: #986957
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 10:11:14 +0100

clog (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc13 by adding a missing include. (Closes: #1037606)
    - Thanks Mate Kukri and Jonathan Bergh. (LP: #2048084)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Jan 2024 11:40:11 +0000
