=== debian/control ===
Source: clog
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Alejandro Garrido Mota <alejandro@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/tasktools-team/clog
Vcs-Git: https://salsa.debian.org/tasktools-team/clog.git
Homepage: https://github.com/GothenburgBitFactory/clog

Package: clog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: colorizing log tail utility
 Clog is useful for watching log files. It can spot patterns in an input
 stream and colorize or suppress the lines. It can also decorate the lines
 with time- or datestamps.
