=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	cp $(CURDIR)/doc/man/clog.1.in debian/clog.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/clog/COPYING \
	      $(TMP)/usr/share/doc/clog/INSTALL
